import type AttributeObjectJwt from './AttributeObjectJwt.js';

/**
 * Defined by the TDF3 spec and generated by an Entity Attribute Service,
 * this object (when accompanied by a valid cert) defines what attributes
 * a client has access to.
 */
export interface EntityObject {
  readonly aliases: string[];
  readonly attributes: AttributeObjectJwt[];
  /** This should be present on validated EOs only - it is written by an EAS */
  readonly cert?: string;
  readonly exp?: number;
  readonly publicKey: string;
  readonly userId: string;
  /** The most recent version 1.1.0. */
  readonly schemaVersion?: string;
}
